Bug 547974 - Review Request: ibus-skk - Japanese Simple Kana Kanji IME for ibus
Summary: Review Request: ibus-skk - Japanese Simple Kana Kanji IME for ibus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-16 07:01 UTC by Jens Petersen
Modified: 2010-03-23 02:20 UTC (History)
5 users (show)

Fixed In Version: ibus-skk-0.0.4-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-02 15:48:37 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2009-12-16 07:01:23 UTC
Spec URL: http://petersen.fedorapeople.org/ibus-skk/ibus-skk.spec
SRPM URL: http://petersen.fedorapeople.org/ibus-skk/ibus-skk-0.0.1-1.fc12.src.rpm
Description: 
SKK (Simple Kana Kanji) Japanese Input Method Engine for ibus

Comment 1 Mamoru TASAKA 2009-12-18 09:21:59 UTC
Some remarks:

* Won't build without intltool:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1878893

* BR: ibus-devel does not seem to be needed
  ( Well, it seems that %{_datadir}/ibus/component/
    or  /usr/share/skk seems hardcoded ?? )

* Please consider to use
---------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
---------------------------------------------------------
  to keep timestamps on installed files

! Well, I tried using ibus-skk, however
  - when I enable ibus/ibus-skk (on gedit or firefox or jd)
  - type "kannji"
  then each time I type "ka", "nn", "ji" each string is
  changed immediately to "か" "ん" then "じ", and no kanji
  conversion by space bar works... (well, my explanation
  may be not good... then:)

  geditやfirefox,jd上でibus/ibus-skkを有効にして試しに
  "kannji"とタイプすると、"ka","nn","ji"とタイプした瞬間に
 それぞれ"か""ん""じ"と直ぐに変換(確定)されてしまって、スペースを打って
 漢字の候補を選ぶことが全く出来ません

Comment 2 Mamoru TASAKA 2009-12-18 10:25:34 UTC
One more thing
- BuildArch should be noach.

Comment 3 Daiki Ueno 2009-12-20 02:08:40 UTC
> then each time I type "ka", "nn", "ji" each string is
> changed immediately to "か" "ん" then "じ", and no kanji
> conversion by space bar works...

That is expected behavior.  To start kana-kanji conversion in
SKK, you need to type first few letters in uppercase.  For the
above example, try "Kannji" or "KAnnji" instead of "kannji", and
then type space.

Anyway, thanks for packaging.  The resulted RPM was successfully
installed and seems to work fine here (on f12).

Comment 4 Mamoru TASAKA 2009-12-20 09:18:34 UTC
(In reply to comment #3)
> > then each time I type "ka", "nn", "ji" each string is
> > changed immediately to "か" "ん" then "じ", and no kanji
> > conversion by space bar works...
> 
> That is expected behavior.  To start kana-kanji conversion in
> SKK, you need to type first few letters in uppercase.  For the
> above example, try "Kannji" or "KAnnji" instead of "kannji", and
> then type space.

Ah, thank you for explanation.

Comment 5 Jens Petersen 2009-12-21 07:46:15 UTC
Ueno-san, would you be interested in owning the package?
I only submitted because I made a test package...

Comment 6 Daiki Ueno 2009-12-22 02:58:34 UTC
Sure.  I will put the fixed package on the Web shortly.
(Perhaps I should make an upstream release before the package fix, since several minor bugs were fixed recently...)

Comment 7 Mamoru TASAKA 2009-12-22 06:25:35 UTC
(In reply to comment #6)
> Sure.  I will put the fixed package on the Web shortly.
> (Perhaps I should make an upstream release before the package fix, since
> several minor bugs were fixed recently...)  

Thank you. In such case, are you going to sponsor Ueno-san,
Petersen-san?

Comment 8 Jens Petersen 2010-01-15 06:13:45 UTC
Sure if Ueno-san submits a package here happy to do that.

Comment 9 Daiki Ueno 2010-01-15 14:52:57 UTC
Sorry for being late.  I've just uploaded the spec file and SRPM to:
http://www.unixuser.org/~ueno/software/fedora/ibus-skk/ibus-skk.spec
http://www.unixuser.org/~ueno/software/fedora/ibus-skk/ibus-skk-0.0.4-1.fc12.src.rpm

Regards,

Comment 10 Mamoru TASAKA 2010-01-16 14:47:17 UTC
For 0.0.4-1:

* BR (BuildRequires)
  - Please check if "BR: gettext-devel" is really needed
    (I guess "BR: gettext" is sufficient)

* BuildArch
  - This package is noarch (i.e. add "BuildArch: noarch")

* %changelog
  - It is recommend to insert one line between each %changelog
    entry (as it is useful when using Fedora CVS) like:
--------------------------------------------------------------
%changelog
* Mon Jan 11 2010 Daiki Ueno <ueno@unixuser.org> - 0.0.4-1
- current version

* Thu Dec 24 2009 Daiki Ueno <ueno@unixuser.org> - 0.0.2-1
- new upstream release

* Fri Dec 11 2009 Jens Petersen <petersen@redhat.com> - 0.0.1-1
- initial packaging for fedora
--------------------------------------------------------------

Comment 11 Daiki Ueno 2010-01-17 04:36:55 UTC
Thanks for the review.  I've just put the fixed files on the same URL.

For "BR: gettext-devel", it seems that "BR: intltool" (already there) is sufficient since intltool requires gettext-devel.

Comment 12 Mamoru TASAKA 2010-01-17 05:01:05 UTC
Please change the release number every time you modify
your spec file to avoid confusion (and add %changelog
entry appropriately)

Comment 13 Daiki Ueno 2010-01-17 05:13:38 UTC
Done, thanks.

Comment 14 Mamoru TASAKA 2010-01-17 17:51:29 UTC
Looks okay to me. Now when Petersen-san sponsors Ueno-san, I
will approve this package.

Comment 15 Mamoru TASAKA 2010-01-27 14:30:22 UTC
What is the status of this bug?

Comment 16 Jens Petersen 2010-01-29 06:04:10 UTC
Ueno-san: sorry for sitting on this - my apologies.

http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Are you able to do at least one package pre-review
of someone's submitted package or to submit another package for review?

Sorry but this is normally asked of new fedora packagers
to become familiar with the fedora review process, since
they can review and approve other package submissions.

Comment 17 Mamoru TASAKA 2010-02-05 16:59:03 UTC
ping?

Comment 18 Mamoru TASAKA 2010-02-16 17:39:04 UTC
ping again?

To clarify the current status:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few (or no) work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

Comment 19 Daiki Ueno 2010-02-17 02:20:33 UTC
Sorry for late response.  I'll certainly follow the convention to become a fedora packager.

I had wondered which package I can work on - currently I'm thinking of packaging cocot, a terminfo-aware code conversion program:
http://vmi.jp/software/cygwin/cocot.html

Anyway, thanks for the detail information.  I'll soon update the current status.

Comment 20 Mamoru TASAKA 2010-02-17 04:54:12 UTC
(In reply to comment #19)
> I had wondered which package I can work on - currently I'm thinking of
> packaging cocot, a terminfo-aware code conversion program:
> http://vmi.jp/software/cygwin/cocot.html

No problem. When you submit a review request for this, please let
us know on this bug.

Comment 21 Daiki Ueno 2010-02-21 09:49:40 UTC
I've just posted a couple of review requests.  One is for Cocot (Bug#567052), and another is for the Uzbl web browser (Bug#567053).

Comment 22 Mamoru TASAKA 2010-02-21 16:57:35 UTC
Well, now I approve this package.

----------------------------------------------------------
  This package (ibus-skk) is APPROVED by mtasaka
----------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
After you request for sponsorship a mail will be sent to sponsor 
members automatically (which is invisible for you) which notifies 
that you need a sponsor. After that, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 11/12/13, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Petersen-san, thank you for your help.

Comment 23 Mamoru TASAKA 2010-02-27 15:26:09 UTC
Ueno-san, would you create your account on FAS and request for
sponsorship?

Comment 24 Daiki Ueno 2010-02-28 00:34:34 UTC
Tasaka-san, sorry for bothering you again.  I created my account "ueno" on FAS, but I couldn't figure out how to "request for sponsorship" on the system.  Is that triggered by applying to some group?  (while I see "Please do not apply to this group" in the "packagers" group description)

Comment 25 Mamoru TASAKA 2010-02-28 01:11:02 UTC
Now I am sponsoring you. Please follow "Join" wiki again.

Comment 26 Daiki Ueno 2010-02-28 05:36:07 UTC
New Package CVS Request
=======================
Package Name: ibus-skk
Short Description: Japanese SKK input method for ibus
Owners: ueno
Branches: F-13 F-12 F-11

Comment 27 Jason Tibbitts 2010-02-28 22:30:56 UTC
CVS done (by process-cvs-requests.py).

Comment 28 Mamoru TASAKA 2010-03-01 18:46:56 UTC
For F-11/12/13, please visit bodhi and submit push requests there.

Comment 29 Fedora Update System 2010-03-02 00:46:24 UTC
ibus-skk-0.0.4-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ibus-skk-0.0.4-2.fc13

Comment 30 Fedora Update System 2010-03-02 00:49:12 UTC
ibus-skk-0.0.4-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ibus-skk-0.0.4-2.fc12

Comment 31 Fedora Update System 2010-03-02 00:50:46 UTC
ibus-skk-0.0.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ibus-skk-0.0.4-2.fc11

Comment 32 Mamoru TASAKA 2010-03-02 15:48:37 UTC
Closing.

Comment 33 Fedora Update System 2010-03-23 02:03:58 UTC
ibus-skk-0.0.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2010-03-23 02:19:59 UTC
ibus-skk-0.0.4-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2010-03-23 02:20:48 UTC
ibus-skk-0.0.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.